# lambda_info – Gathers AWS Lambda function details

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Gathers various details related to Lambda functions, including aliases, versions and event source mappings. Use module lambda to manage the lambda function itself, lambda_alias to manage function aliases and lambda_event to manage lambda event source mappings.

## Requirements

The below requirements are needed on the host that executes this module.

- boto
- boto3
- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key

debug_botocore_endpoint_logs
boolean
added in 2.8

Choices:
- no ←
- yes

Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.

ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
event_source_arn - |  | For query type 'mappings', this is the Amazon Resource Name (ARN) of the Amazon Kinesis or DynamoDB stream.
function_name - |  | The name of the lambda function for which information is requested. aliases: function, name
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.

query
- / required

Choices:
- aliases
- all ←
- config
- mappings
- policy
- versions

Specifies the resource type for which to gather information. Leave blank to retrieve all information.

region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token

validate_certs
boolean

Choices:
- no
- yes ←

When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`
- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html
- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    ---
    # Simple example of listing all info for a function
    - name: List all for a specific function
      lambda_info:
        query: all
        function_name: myFunction
      register: my_function_details
    # List all versions of a function
    - name: List function versions
      lambda_info:
        query: versions
        function_name: myFunction
      register: my_function_versions
    # List all lambda function versions
    - name: List all function
      lambda_info:
        query: all
        max_items: 20
      register: output
    - name: show Lambda information
      debug:
        msg: "{{ output['function'] }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
function dictionary | success | lambda function list
function.TheName dictionary | success | lambda function information, including event, mapping, and version information

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pierre Jodouin (@pjodouin)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.